%global momorel 1
%global md5sum_src0 012bb32881440e4d2547cfb432a1794f

Summary: Scim-bridge is yet another gtk-immodule for SCIM.
Name: scim-bridge
Version: 0.2.7
Release: %{momorel}m
URL: http://sourceforge.jp/projects/scim-imengine/
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: xim.d-scim-bridge
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: GPL
Group: Applications/System
Requires: scim >= 1.4.1
BuildRequires: scim-devel >= 1.4.1

%description
Scim-bridge is yet another gtk-immodule for SCIM.
It communicates with scim over sockets, 
and the DLL loaded by applications is written in pure C. 
You can use this to avoid the problem caused by C++ ABI transition.

%prep
%setup -q 

%build
%configure --disable-static
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xim.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit/xim.d/SCIM-bridge

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%postun
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules



%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_sysconfdir}/X11/xinit/xim.d/SCIM-bridge
%{_bindir}/scim-bridge-agent
%{_libdir}/gtk-2.0/immodules/im-scim-bridge.la
%{_libdir}/gtk-2.0/immodules/im-scim-bridge.so

%changelog
* Tue Aug  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.7-1m)
- update 0.2.7

* Fri Jul 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.6-1m)
- update 0.2.6

* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.3-1m)
- update 0.2.3

* Fri Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.2-1m)
- update 0.2.2

* Wed May  3 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.7-1m)
- update 0.1.7

* Wed Apr 12 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-1m)
- initial commit

